com.hazelcast.util.executor

## Class PoolExecutorThreadFactory.ManagedThread

- java.lang.Object
- - java.lang.Thread
  - - com.hazelcast.util.executor.HazelcastManagedThread
    - - com.hazelcast.util.executor.PoolExecutorThreadFactory.ManagedThread

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    PoolExecutorThreadFactory

      protected class PoolExecutorThreadFactory.ManagedThread
      extends HazelcastManagedThread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedThread(Runnable target, String name, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterRun()` Called after inner run method and can be overridden to customize.

    - ### Methods inherited from class com.hazelcast.util.executor.HazelcastManagedThread

      `beforeRun, executeRun, run, setContextClassLoader`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedThread

          public ManagedThread(Runnable target,
                               String name,
                               int id)

  - ### Method Detail

    - #### afterRun

          protected void afterRun()

      Description copied from class: `HazelcastManagedThread`
      Called after inner run method and can be overridden to customize.
      Overrides:
        `afterRun` in class `HazelcastManagedThread`

Copyright © 2019. All rights reserved.